<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Nikstore
 */
$post_id = get_the_ID();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="tctz-default-thm-blog">
        <div class="tctz-default-thm-blog-inner row ">

            <?php if (has_post_thumbnail()) { ?>
                <div class="tctz-default-thumbnail-box col-12 col-md-6">
                    <div class="tctz-default-thumbnail">
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail() ?></a>
                    </div>
                </div>
            <?php } ?>

            <?php if (has_post_thumbnail()) { ?>
            <div class="tctz-default-meta tetz-meta-padding-top col-12 col-md-6">
                <?php } else { ?>
                <div class="tctz-default-meta tetz-meta-padding-top col-12">
                    <?php } ?>
                    <?php
                    if (is_sticky($post_id)) {
                        echo '<span class="sticky-post-label">' . esc_attr('Featured', 'nikstore') . '</span>';
                    }
                    ?>
                    <div class="post-meta nikstore-post-meta-style">
                        <ul>
                            <li> <?php nikstore_posted_on(); ?> <span class="nikstore-by-post-start">-</span> </li>

                            <li> <span class="nikstore-by-post">By</span> <?php nikstore_posted_by(); ?></li>
                        </ul>
                    </div><!-- .post-meta -->
                    <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
                    <div class="tctz-post-excerpt">
                        <?php echo nikstore_get_excerpt(180); ?>
                    </div>
                </div>

            </div>
        </div>
</article>