<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
function nikstore_welcome_page()
{
    require_once 'nikstore-welcome.php';
}

function nikstore_admin_menu()
{
    if (current_user_can('edit_theme_options')) {
        add_menu_page('Nikstore', 'Nikstore', 'administrator', 'nikstore-admin-menu', 'nikstore_welcome_page', NIKSTORE_URL .'/assets/images/icon.svg', 4);
        add_submenu_page('nikstore-admin-menu', 'nikstore', esc_html__('Welcome', 'nikstore'), 'administrator', 'nikstore-admin-menu', 'nikstore_welcome_page', 0);
        
         add_submenu_page( 'nikstore-admin-menu', esc_html__( 'Demo Import', 'nikstore' ), esc_html__( 'Demo Import', 'nikstore' ), 'administrator', 'demo_install', 'nikstore_demo_install_function' );


    }
}

add_action('admin_menu', 'nikstore_admin_menu');


function nikstore_demo_install_function(){
    $url = admin_url().'admin.php?page=nikstore-wizard&step=content';
    ?>
    <script>location.href='<?php echo esc_html($url);?>'.replace(/\&amp\;/gi, "&");</script>
    <?php
  }
