<?php
defined('ABSPATH') || exit;

$attachment_ids = get_comment_meta($comment->comment_ID, 'nikstore_review_images', true);

if (!empty($attachment_ids)) : ?>
    <div class="nikstore-wrap-review-thumb nikstore-flex" id="nikstore-wrap-review-<?php echo esc_attr($comment->comment_ID); ?>">
        
        <?php foreach ($attachment_ids as $attachment_id) :
            $image = wp_get_attachment_image($attachment_id, apply_filters('nikstore_reivew_product_thumbnail_size', 'thumbnail'), false, array('class' => 'skip-lazy attachment-thumbnail size-thumbnail'));
            if ($image) :
                $url = wp_get_attachment_image_url($attachment_id, 'full');
                ?>
                <a title="<?php echo esc_attr__('Review Product by Images', 'nikstore'); ?>" class="nikstore-item-review-thumb" href="<?php echo esc_url($url); ?>" data-lity>
                    <?php echo apply_filters('nikstore_reivew_product_thumbnail_html', $image, $attachment_id); ?>
                    <span class="svg-wrap">
                       <i class="ri-fullscreen-line"></i>
                    </span>
                </a>
            <?php endif; ?>
        <?php endforeach; ?>

    </div>
<?php
endif;
